# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++ waf
# END SourceDeps(oneline)
%global maj 0

Name:       jalv
Version:    1.2.0
Release:    alt1_2
Summary:    An LV2 Resource Description Framework Library

Group:      Sound
License:    MIT
URL:        http://drobilla.net/software/jalv/
Source0:    http://download.drobilla.net/%{name}-%{version}.tar.bz2

BuildRequires:  doxygen
BuildRequires:  graphviz
BuildRequires:  lilv-devel >= 0.5.0
BuildRequires:  suil-devel >= 0.6.0
BuildRequires:  libjack-devel
BuildRequires:  qt4-devel
BuildRequires:  gtk2-devel
BuildRequires:  libgtkmm2-devel
Source44: import.info

%description
%{name} is a simple but fully featured LV2 host for Jack. It runs LV2 plugins 
and exposes their ports as Jack ports, essentially making any LV2 plugin 
function as a Jack application. 

%package qt
Group:      Sound
Summary:    QT implementation of %{name}
Requires:   %{name} = %{version}-%{release}

%description qt
%{name}-qt is an LV2 host for QT LV2 plugins

%package gtk
Group:      Sound
Summary:    GTK implementation of %{name}
Requires:   %{name} = %{version}-%{release}

%description gtk
%{name}-gtk is an LV2 host for GTK LV2 plugins

%package gtkmm
Group:      Sound
Summary:    gtkmm implementation of %{name}
Requires:   %{name} = %{version}-%{release}

%description gtkmm
%{name}-gtkmm is an LV2 host for gtkmm LV2 plugins


%prep
%setup -q 

# we'll run ld config
sed -i -e 's|bld.add_post_fun(autowaf.run_ldconfig)||' wscript

%build
export CFLAGS="%{optflags}" CXXFLAGS="%{optflags}"
./waf configure -v\
 --prefix=%{_prefix} \
 --libdir=%{_libdir} \
 --mandir=%{_mandir} \
 --datadir=%{_datadir} \
 --configdir=%{_sysconfdir} \
 --docs 
./waf build -v %{?_smp_mflags}

%install
DESTDIR=%{buildroot} ./waf install

%files
%doc AUTHORS NEWS README COPYING
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.*

%files qt
%{_bindir}/%{name}.qt
%{_mandir}/man1/%{name}.qt.1.*

%files gtk
%{_bindir}/%{name}.gtk
%{_mandir}/man1/%{name}.gtk.1.*

%files gtkmm
%{_bindir}/%{name}.gtkmm
%{_mandir}/man1/%{name}.gtkmm.1.*

%changelog
* Fri Apr 26 2013 Igor Vlasenko <viy@altlinux.ru> 1.2.0-alt1_2
- initial fc import

